package org.gcube.resourcemanagement.manager.io.exceptions;

import static org.junit.Assert.*;

import org.gcube.resourcemanagement.manager.io.exceptions.CodeException;
import org.gcube.resourcemanagement.manager.io.exceptions.RMCode;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.BlockJUnit4ClassRunner;

/**
 * Tests for {@link CodeException}s 
 *  
 * @author Manuele Simi (ISTI CNR)
 *
 */
@RunWith(BlockJUnit4ClassRunner.class)
public class CodeExceptionTest {

	/**
	 * Test method for {@link org.gcube.resourcemanagement.manager.io.exceptions.CodeException#CodeException(org.gcube.resourcemanagement.manager.io.exceptions.RMCode)}.
	 */
	@Test
	public void testCodeException() {
		CodeException exception = new CodeException(RMCode.CONTEXT_ALREADY_EXIST);
		assertTrue("Unexpected id", exception.getErrorCode() == RMCode.CONTEXT_ALREADY_EXIST.getId());
		assertTrue("Unexpected message", exception.getErrorMsg().equals(RMCode.CONTEXT_ALREADY_EXIST.getMessage()));

	}

}
